Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.movies
Class AtomContainer

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.util.QTHandleRef
                  |
                  +--quicktime.std.movies.AtomContainer

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, quicktime.jdirect.QuickTimeVRLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

Direct Known Subclasses:
  AtomicInstrument, EffectsList, VectorStream

public class AtomContainer
extends QTHandleRef
implements quicktime.jdirect.QuickTimeLib, quicktime.jdirect.QuickTimeVRLib

The AtomContainer corresponds to a QuickTime atom container.

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Fields inherited from interface quicktime.jdirect.QuickTimeVRLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`AtomContainer()` Create a new disposable AtomContainer.

Method Summary
`AtomContainer` | `copyAtom(Atom atom)` This method allows a complete copy of an atom and all of its children to be extracted from its container and be placed in an new atom data structure.
`byte[]` | `copyAtomDataToArray(Atom atom)` Copies the atom data for the specifiec leaf atom.
`QTHandle` | `copyAtomDataToHandle(Atom atom)` This method returns a leaf atom's data.
`int` | `copyAtomDataToPtr(Atom atom, boolean sizeOrLessOK, QTPointer data)` This method returns a leaf atom's data to the buffer pointed to by the data object.
`int` | `countChildrenOfType(Atom parentAtom, int childType)` This method allows you to determine the number of items of a given type in a parent atom's child list.
`Atom` | `findChildByID_Atom(Atom parentAtom, int atomType, int id)` This method allows you to search for a particular atom within an atom's child list.
`int` | `findChildByID_index(Atom parentAtom, int atomType, int id)` This method allows you to search for a particular atom within an atom's child list.
`Atom` | `findChildByIndex_Atom(Atom parentAtom, int atomType, int index)` This method allows you to search for a particular atom within an atom's child list.
`int` | `findChildByIndex_id(Atom parentAtom, int atomType, int index)` This method allows you to search for a particular atom within an atom's child list.
`static AtomContainer` | `fromCompressionDialog(CompressionDialog cd)` Retrieves the current configuration from the dialog QuickTime::SCGetSettingsAsAtomContainer()
`static AtomContainer` | `fromGraphicsExporter(GraphicsExporter ge)` Retrieves the current settings from the movie export component..
`static GECompressorInfo` | `fromGraphicsExporterCompressor(GraphicsExporter ge)` The base graphics exporter makes this call of the format-specific graphics exporter to ask whether the current export operation should be done by using an image compressor.
`static AtomContainer` | `fromGraphicsExporterMIME(GraphicsExporter ge)` Returns a list of MIME types supported by the graphics export component.
`static AtomContainer` | `fromGraphicsImporterExportImage(GraphicsImporter gi)` Returns information about available export formats.
`static AtomContainer` | `fromGraphicsImporterExportSettings(GraphicsImporter gi)` Returns the Export settings as an Atom Container.
`static AtomContainer` | `fromGraphicsImporterMIME(GraphicsImporter gi)` Returns a list of MIME types supported by the graphics import component.
`static AtomContainer` | `fromMediaInput(Media m)` This method returns you the input map of the media.
`static AtomContainer` | `fromMediaProperty(Media m)` Retrieves the properties from a media handler.
`static AtomContainer` | `fromMovieExporter(MovieExporter me)` Retrieves the current settings from the movie export component..
`static AtomContainer` | `fromMovieImporterMIME(MovieImporter mi)` Returns a list of MIME types supported by the movie import component.
`static AtomContainer` | `fromMovieImporterSettings(MovieImporter mi)` Retrieves the current settings from the movie import component..
`static AtomContainer` | `fromQTHandle(QTHandleRef handle)` This converts a QTHandle based object into an AtomContainer.
`static AtomContainer` | `fromQTVRInstanceNode(QTVRInstance ins, int nodeID)` You can use the QTVRGetNodeInfo function to get the node information atom container that describes a node and all the hot spots in the node.
`static AtomContainer` | `fromQTVRInstanceWorld(QTVRInstance ins)` The QTVRGetVRWorld function returns an atom container that contains general scene information about the QuickTime VR movie specified, as well as a list of all the nodes in that movie.
`static AtomContainer` | `fromThreeDMediaHandlerObject(ThreeDMediaHandler tdm)` No QT Documentation.
`static AtomContainer` | `fromThreeDMediaHandlerRenderer(ThreeDMediaHandler tdm)` No QT Documentation.
`AtomData` | `getAtomData(Atom atom)` Retrieves a pointer to the atom data for the specifiec leaf atom.
`int` | `getAtomDataSize(Atom atom)` Retrieves a pointer to the atom data for the specifiec leaf atom.
`int` | `getAtomID(Atom atom)` This method returns the id of a given atom.
`int` | `getAtomType(Atom atom)` This method returns the type of a given atom.
`int` | `getNextChildType(Atom parentAtom, int currentChildType)` This method allows you to retrieve the next atom data type in a specified atom's child list.
`Atom` | `getParent(Atom childAtom)` This method returns the parent atom of the specified child atom
`Atom` | `insertChild(Atom parentAtom, int atomType, int id, int index)` This method creates a new empty child atom for parentAtom.
`Atom` | `insertChild(Atom parentAtom, int atomType, int id, int index, byte byteValue)` This method creates a new child atom for parentAtom.
`Atom` | `insertChild(Atom parentAtom, int atomType, int id, int index, byte[] data)` This method creates a new child atom for parentAtom.
`Atom` | `insertChild(Atom parentAtom, int atomType, int id, int index, int intValue)` This method creates a new child atom for parentAtom.
`Atom` | `insertChild(Atom parentAtom, int atomType, int id, int index, QTByteObject data)` This method creates a new child atom for parentAtom.
`Atom` | `insertChild(Atom parentAtom, int atomType, int id, int index, QTHandleRef data)` This method creates a new child atom for parentAtom.
`Atom` | `insertChild(Atom parentAtom, int atomType, int id, int index, QTPointerRef data)` This method creates a new child atom for parentAtom.
`Atom` | `insertChild(Atom parentAtom, int atomType, int id, int index, short shortValue)` This method creates a new child atom for parentAtom.
`void` | `insertChildren(Atom parentAtom, AtomContainer childrenContainer)` This method inserts all of the atoms in childrenContainer as child atoms of the atom specified by the parentAtom.
`void` | `iTextAddString(Atom parentAtom, int theRegionCode, java.lang.String theString)` No QT Documentation.
`IStringInfo` | `iTextGetString(Atom parentAtom, int theRegionCode)` No QT Documentation.
`void` | `iTextRemoveString(Atom parentAtom, int theRegionCode, int flags)` No QT Documentation.
`Atom` | `nextChildAnyType(Atom parentAtom, Atom currentChild)` This method allows you to retrieve all of a parent atom's children one by one, regardless of their type's and id's.
`void` | `removeAtom(Atom atom)` This method removes an atom and all of its children from an atom data structure.
`void` | `removeChildren(Atom atom)` This method removes all of the children of an atom.
`void` | `replaceAtom(Atom targetAtom, AtomContainer replacementContainer, Atom replacementAtom)` This method replaces an atom and all of its children with a different atom and all of its children.
`void` | `setAtomData(Atom atom, byte data)` This method allows you to set a leaf atom's data.
`void` | `setAtomData(Atom atom, byte[] data)` This method allows you to set a leaf atom's data.
`void` | `setAtomData(Atom atom, int data)` This method allows you to set a leaf atom's data.
`void` | `setAtomData(Atom atom, QTByteObject data)` This method allows you to set a leaf atom's data.
`void` | `setAtomData(Atom atom, QTHandleRef data)` This method allows you to set a leaf atom's data.
`void` | `setAtomData(Atom atom, QTPointerRef data)` This method allows you to set a leaf atom's data.
`void` | `setAtomData(Atom atom, short data)` This method allows you to set a leaf atom's data.
`void` | `setAtomID(Atom atom, int newID)` This method allows you to change the ID of an atom.
`void` | `swapAtoms(Atom atom1, Atom atom2)` This method swaps two atoms within an atomData structure.

Methods inherited from class quicktime.util.QTHandleRef
`copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, fromCompressionDialogState, fromSCSequence, getBytes, getSize, inMemory, isLocked, lock, lockHigh, moveHigh, toQTPointer, toQTPointer, toString, unlock`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AtomContainer

    public AtomContainer()
                  throws QTException

  Create a new disposable AtomContainer.
  QuickTime::QTNewAtomContainer

  Method Detail

  ### fromGraphicsExporter

      public static AtomContainer fromGraphicsExporter(GraphicsExporter ge)
                                                throws StdQTException

    Retrieves the current settings from the movie export component..
    QuickTime::MovieExportGetSettingsAsAtomContainer
  Returns:
    an AtomContainer with the current settings.
  See Also:
    `GraphicsExporter.getSettingsAsAtomContainer()`

### fromGraphicsExporterCompressor

    public static GECompressorInfo fromGraphicsExporterCompressor(GraphicsExporter ge)
                                                           throws QTException

  The base graphics exporter makes this call of the format-specific graphics exporter to ask whether the current export operation should be done by using an image compressor.
  QuickTime::GraphicsExportCanUseCompressor

  Returns:
    true if allowed to use a compressor.

### fromGraphicsExporterMIME

    public static AtomContainer fromGraphicsExporterMIME(GraphicsExporter ge)
                                                  throws StdQTException

  Returns a list of MIME types supported by the graphics export component.
  QuickTime::GraphicsExportGetMIMETypeList

  Returns:
    a QT atom container that contains a list of MIME types supported by the graphics import component.
  See Also:
    `GraphicsExporter.getMIMETypeList()`

### fromQTVRInstanceWorld

    public static AtomContainer fromQTVRInstanceWorld(QTVRInstance ins)
                                               throws QTVRException

  The QTVRGetVRWorld function returns an atom container that contains general scene information about the QuickTime VR movie specified, as well as a list of all the nodes in that movie.
  QuickTime::QTVRGetVRWorld

  Returns:
    the VRWorld AtomContainer
  See Also:
    `QTVRInstance.getVRWorld()`

### fromQTVRInstanceNode

    public static AtomContainer fromQTVRInstanceNode(QTVRInstance ins,
                                                     int nodeID)
                                              throws QTVRException

  You can use the QTVRGetNodeInfo function to get the node information atom container that describes a node and all the hot spots in the node.
  QuickTime::QTVRGetNodeInfo

  Parameters:
    `nodeID` - Set this parameter to kQTVRCurrentNode to receive information about the current node
  Returns:
    an atom container that contains information about the specified node.
  See Also:
    `QTVRInstance.getNodeInfo(int)`

### fromQTHandle

    public static AtomContainer fromQTHandle(QTHandleRef handle)

  This converts a QTHandle based object into an AtomContainer. This call does not make a copy of the handle, but allows you to access the handles data as if it were an AtomContainer, thus any changes you make to returned AtomContainer will be made to the handle itself. Essentially this allows you to view and change the contents of a handle with the assumption that it is an AtomContainer.
  Parameters:
    `handle` - the handle to convert to an AtomContainer.
  Returns:
    an AtomContainer

### fromGraphicsImporterMIME

    public static AtomContainer fromGraphicsImporterMIME(GraphicsImporter gi)
                                                  throws StdQTException

  Returns a list of MIME types supported by the graphics import component.
  QuickTime::GraphicsImportGetMIMETypeList

  Returns:
    a QT atom container that contains a list of MIME types supported by the graphics import component.
  See Also:
    `GraphicsImporter.getMIMETypeList()`

### fromGraphicsImporterExportImage

    public static AtomContainer fromGraphicsImporterExportImage(GraphicsImporter gi)
                                                         throws StdQTException

  Returns information about available export formats.
  QuickTime::GraphicsImportGetExportImageTypeList

  Returns:
    a QT atom container that contains a list of available export formats. supported by the graphics import component.
  See Also:
    `GraphicsImporter.getExportImageTypeList()`

### fromGraphicsImporterExportSettings

    public static AtomContainer fromGraphicsImporterExportSettings(GraphicsImporter gi)
                                                            throws StdQTException

  Returns the Export settings as an Atom Container.
  QuickTime::GraphicsImportGetExportSettingsAsAtomContainer

  Returns:
    a QT atom container that contains Export settings.
  See Also:
    `GraphicsImporter.getExportSettingsAsAtomContainer()`

### fromMediaInput

    public static AtomContainer fromMediaInput(Media m)
                                        throws StdQTException

  This method returns you the input map of the media.
  QuickTime::GetMediaInputMap()

  Returns:
    an AtomContainer object for media's input map.
  See Also:
    `Media.getInputMap()`

### fromMediaProperty

    public static AtomContainer fromMediaProperty(Media m)
                                           throws StdQTException

  Retrieves the properties from a media handler.
  QuickTime::GetMediaPropertyAtom()

  Returns:
    Contains the property atoms for the track associated with the media handler.
  See Also:
    `Media.getPropertyAtom()`

### fromMovieExporter

    public static AtomContainer fromMovieExporter(MovieExporter me)
                                           throws StdQTException

  Retrieves the current settings from the movie export component..
  QuickTime::MovieExportGetSettingsAsAtomContainer

  Returns:
    an AtomContainer with the current settings.
  See Also:
    `MovieExporter.getExportSettingsFromAtomContainer()`

### fromMovieImporterMIME

    public static AtomContainer fromMovieImporterMIME(MovieImporter mi)
                                               throws StdQTException

  Returns a list of MIME types supported by the movie import component.
  QuickTime::MovieImportGetMIMETypeList

  Returns:
    an AtomContainer that contains a list of MIME types
  See Also:
    `MovieImporter.getMIMETypeList()`

### fromMovieImporterSettings

    public static AtomContainer fromMovieImporterSettings(MovieImporter mi)
                                                   throws StdQTException

  Retrieves the current settings from the movie import component..
  QuickTime::MovieImportGetSettingsAsAtomContainer

  Returns:
    an AtomContainer with the current settings.
  See Also:
    `MovieImporter.getImportSettingsFromAtomContainer()`

### fromThreeDMediaHandlerObject

    public static AtomContainer fromThreeDMediaHandlerObject(ThreeDMediaHandler tdm)
                                                      throws StdQTException

  No QT Documentation.
  QuickTime::Media3DGetNamedObjectList()

  Returns:
    an atom container
  See Also:
    `ThreeDMediaHandler.getNamedObjectList()`

### fromThreeDMediaHandlerRenderer

    public static AtomContainer fromThreeDMediaHandlerRenderer(ThreeDMediaHandler tdm)
                                                        throws StdQTException

  No QT Documentation.
  QuickTime::Media3DGetRendererList()

  Returns:
    an atom container
  See Also:
    `ThreeDMediaHandler.getRendererList()`

### fromCompressionDialog

    public static AtomContainer fromCompressionDialog(CompressionDialog cd)
                                               throws StdQTException

  Retrieves the current configuration from the dialog
  QuickTime::SCGetSettingsAsAtomContainer()
  Returns:
    the settings
  See Also:
    `CompressionDialog.getSettings()`

### getAtomData

    public AtomData getAtomData(Atom atom)
                         throws StdQTException

  Retrieves a pointer to the atom data for the specifiec leaf atom.
  QuickTime::QTGetAtomDataPtr

  Parameters:
    `atom` - (offset) for AtomContainers this is an "atom" that acts as the offset
  Returns:
    the actual atom data attached to the specified atom

### getAtomDataSize

    public int getAtomDataSize(Atom atom)
                        throws StdQTException

  Retrieves a pointer to the atom data for the specifiec leaf atom.
  QuickTime::QTGetAtomDataPtr

  Parameters:
    `atom` - (offset) for AtomContainers this is an "atom" that acts as the offset
  Returns:
    the size of the atom data attached to the specified atom

### getNextChildType

    public int getNextChildType(Atom parentAtom,
                                int currentChildType)
                         throws StdQTException

  This method allows you to retrieve the next atom data type in a specified atom's child list.
  QuickTime::QTGetNextChildType

  Parameters:
    `parentAtom` - Specifies the parent atom within this container. Null implies the parent atom is the container.
    `currentChildType` - Specifies an atom data type.
  Returns:
    the found child type.

### countChildrenOfType

    public int countChildrenOfType(Atom parentAtom,
                                   int childType)
                            throws StdQTException

  This method allows you to determine the number of items of a given type in a parent atom's child list.
  QuickTime::QTCountChildrenOfType

  Parameters:
    `parentAtom` - Specifies the parent atom within this container. Null implies parentAtom is the container.
    `childType` - Specifies the type.
  Returns:
    the number fo children.

### findChildByIndex_Atom

    public Atom findChildByIndex_Atom(Atom parentAtom,
                                      int atomType,
                                      int index)
                               throws StdQTException

  This method allows you to search for a particular atom within an atom's child list.
  QuickTime::QTFindChildByIndex

  Parameters:
    `parentAtom` - Specifies the parent atom within this container. Null implies parentAtom is the container.
    `atomType` - Specifies the type of the child to be found.
    `index` - Specifies the index of a child of type atomType to be found.
  Returns:
    the found atom.

### findChildByIndex_id

    public int findChildByIndex_id(Atom parentAtom,
                                   int atomType,
                                   int index)
                            throws StdQTException

  This method allows you to search for a particular atom within an atom's child list.
  QuickTime::QTFindChildByIndex

  Parameters:
    `parentAtom` - Specifies the parent atom within this container. Null implies parentAtom is the container.
    `atomType` - Specifies the type of the child to be found.
    `index` - Specifies the index of a child of type atomType to be found.
  Returns:
    the atom's id if it is found.

### findChildByID_Atom

    public Atom findChildByID_Atom(Atom parentAtom,
                                   int atomType,
                                   int id)
                            throws StdQTException

  This method allows you to search for a particular atom within an atom's child list.
  QuickTime::QTFindChildByID

  Parameters:
    `parentAtom` - Specifies the parent atom within this container. Null implies parentAtom is the container.
    `atomType` - Specifies the type of the child to be found.
    `id` - Specifies the ID of a child of type atomType to be found.
  Returns:
    the found atom.

### findChildByID_index

    public int findChildByID_index(Atom parentAtom,
                                   int atomType,
                                   int id)
                            throws StdQTException

  This method allows you to search for a particular atom within an atom's child list.
  QuickTime::QTFindChildByID

  Parameters:
    `parentAtom` - Specifies the parent atom within this container. Null implies parentAtom is the container.
    `atomType` - Specifies the type of the child to be found.
    `id` - Specifies the ID of a child of type atomType to be found.
  Returns:
    the atom's index if it is found.

### nextChildAnyType

    public Atom nextChildAnyType(Atom parentAtom,
                                 Atom currentChild)
                          throws StdQTException

  This method allows you to retrieve all of a parent atom's children one by one, regardless of their type's and id's.
  QuickTime::QTNextChildAnyType

  Parameters:
    `parentAtom` - Specifies the parent atom within this container. Null implies parentAtom is the container.
    `currentChild` - Specifies the current child atom of parentAtom. Null implies the parentAtom.
  Returns:
    the QTAtom which is used to return the next child following currentChild in parentAtom's child list.

### setAtomData

    public void setAtomData(Atom atom,
                            QTHandleRef data)
                     throws StdQTException

  This method allows you to set a leaf atom's data.
  QuickTime::QTSetAtomData

  Parameters:
    `atom` - Specifies the atom within this container. Use Atom.kParentIsContainer if atom is container.
    `data` - Contains the data for the atom.

### setAtomData

    public void setAtomData(Atom atom,
                            QTPointerRef data)
                     throws StdQTException

  This method allows you to set a leaf atom's data.
  QuickTime::QTSetAtomData

  Parameters:
    `atom` - Specifies the atom within this container. Use Atom.kParentIsContainer if atom is container.
    `data` - Contains the data for the atom.

### setAtomData

    public void setAtomData(Atom atom,
                            byte[] data)
                     throws StdQTException

  This method allows you to set a leaf atom's data.
  QuickTime::QTSetAtomData

  Parameters:
    `atom` - Specifies the atom within this container.
    `data` - Contains the data for the atom.

### setAtomData

    public void setAtomData(Atom atom,
                            QTByteObject data)
                     throws StdQTException

  This method allows you to set a leaf atom's data.
  QuickTime::QTSetAtomData

  Parameters:
    `atom` - Specifies the atom within this container.
    `data` - Contains the data for the atom.

### setAtomData

    public void setAtomData(Atom atom,
                            int data)
                     throws StdQTException

  This method allows you to set a leaf atom's data.
  QuickTime::QTSetAtomData

  Parameters:
    `atom` - Specifies the atom within this container.
    `data` - Contains the data for the atom. This value will be endian flipped if required.

### setAtomData

    public void setAtomData(Atom atom,
                            short data)
                     throws StdQTException

  This method allows you to set a leaf atom's data.
  QuickTime::QTSetAtomData

  Parameters:
    `atom` - Specifies the atom within this container.
    `data` - Contains the data for the atom. This value will be endian flipped if required.

### setAtomData

    public void setAtomData(Atom atom,
                            byte data)
                     throws StdQTException

  This method allows you to set a leaf atom's data.
  QuickTime::QTSetAtomData

  Parameters:
    `atom` - Specifies the atom within this container.
    `data` - Contains the data for the atom. This value will be endian flipped if required.

### copyAtomDataToHandle

    public QTHandle copyAtomDataToHandle(Atom atom)
                                  throws QTException

  This method returns a leaf atom's data.
  QuickTime::QTCopyAtomDataToHandle

  Parameters:
    `atom` - Specifies the atom within this container.
  Returns:
    A QTHandle object containing the leaf atom's data.

### copyAtomDataToPtr

    public int copyAtomDataToPtr(Atom atom,
                                 boolean sizeOrLessOK,
                                 QTPointer data)
                          throws StdQTException

  This method returns a leaf atom's data to the buffer pointed to by the data object.
  QuickTime::QTCopyAtomDataToPtr

  Parameters:
    `atom` - Specifies the atom within this container.
    `sizeOrLessOK` - True indicates that it is OK to receive less data than specified by the size of the data Pointer.
    `data` - A QTPointer object containing the buffer for the leaf atom's data.
  Returns:
    the actual number of bytes retrieved.

### copyAtomDataToArray

    public byte[] copyAtomDataToArray(Atom atom)
                               throws StdQTException

  Copies the atom data for the specifiec leaf atom.
  QuickTime::QTGetAtomDataPtr

  Parameters:
    `atom` - (offset) for AtomContainers this is an "atom" that acts as the offset

### getAtomType

    public int getAtomType(Atom atom)
                    throws StdQTException

  This method returns the type of a given atom.
  QuickTime::QTGetAtomTypeAndID

  Parameters:
    `atom` - Specifies the atom within this container.
  Returns:
    the type of a given atom

### getAtomID

    public int getAtomID(Atom atom)
                  throws StdQTException

  This method returns the id of a given atom.
  QuickTime::QTGetAtomTypeAndID

  Parameters:
    `atom` - Specifies the atom within this container.
  Returns:
    the id of a given atom.

### copyAtom

    public AtomContainer copyAtom(Atom atom)
                           throws StdQTException

  This method allows a complete copy of an atom and all of its children to be extracted from its container and be placed in an new atom data structure.
  QuickTime::QTCopyAtom

  Parameters:
    `atom` - Specifies the atom within this container.
  Returns:
    a new AtomContainer that contains the copy of the specifed atom..

### insertChild

    public Atom insertChild(Atom parentAtom,
                            int atomType,
                            int id,
                            int index)
                     throws QTException

  This method creates a new empty child atom for parentAtom.
  QuickTime::QTInsertChild

  Parameters:
    `parentAtom` - Specifies the parent atom within this container. Null implies the parent atom is the container.
    `atomType` - Specifies the type of the new atom which is to be inserted.
    `id` - Specifies the ID of the new atom which is to be inserted.
    `index` - Specifies the index of the new atom for its type within the parent atom's child list.
  Returns:
    The new atom.

### insertChild

    public Atom insertChild(Atom parentAtom,
                            int atomType,
                            int id,
                            int index,
                            QTByteObject data)
                     throws StdQTException

  This method creates a new child atom for parentAtom.
  QuickTime::QTInsertChild

  Parameters:
    `parentAtom` - Specifies the parent atom within this container. Null implies the parent atom is the container.
    `atomType` - Specifies the type of the new atom which is to be inserted.
    `id` - Specifies the ID of the new atom which is to be inserted.
    `index` - Specifies the index of the new atom for its type within the parent atom's child list.
    `data` - A QTByteObject that contains the data of the specifed atom.
  Returns:
    The new atom.

### insertChild

    public Atom insertChild(Atom parentAtom,
                            int atomType,
                            int id,
                            int index,
                            byte[] data)
                     throws StdQTException

  This method creates a new child atom for parentAtom.
  QuickTime::QTInsertChild

  Parameters:
    `parentAtom` - Specifies the parent atom within this container. Null implies the parent atom is the container.
    `atomType` - Specifies the type of the new atom which is to be inserted.
    `id` - Specifies the ID of the new atom which is to be inserted.
    `index` - Specifies the index of the new atom for its type within the parent atom's child list.
    `data` - A byte[] that contains the data of the specifed atom.
  Returns:
    The new atom.

### insertChild

    public Atom insertChild(Atom parentAtom,
                            int atomType,
                            int id,
                            int index,
                            QTPointerRef data)
                     throws StdQTException

  This method creates a new child atom for parentAtom.
  QuickTime::QTInsertChild

  Parameters:
    `parentAtom` - Specifies the parent atom within this container. Null implies the parent atom is the container.
    `atomType` - Specifies the type of the new atom which is to be inserted.
    `id` - Specifies the ID of the new atom which is to be inserted.
    `index` - Specifies the index of the new atom for its type within the parent atom's child list.
    `data` - A QTPointerRef object contains the data of the specifed atom.
  Returns:
    The new atom.

### insertChild

    public Atom insertChild(Atom parentAtom,
                            int atomType,
                            int id,
                            int index,
                            QTHandleRef data)
                     throws StdQTException

  This method creates a new child atom for parentAtom.
  QuickTime::QTInsertChild

  Parameters:
    `parentAtom` - Specifies the parent atom within this container. Null implies the parent atom is the container.
    `atomType` - Specifies the type of the new atom which is to be inserted.
    `id` - Specifies the ID of the new atom which is to be inserted.
    `index` - Specifies the index of the new atom for its type within the parent atom's child list.
    `data` - A QTHandleRef object contains the data of the specifed atom.
  Returns:
    The new atom.

### insertChild

    public Atom insertChild(Atom parentAtom,
                            int atomType,
                            int id,
                            int index,
                            int intValue)
                     throws StdQTException

  This method creates a new child atom for parentAtom.
  QuickTime::QTInsertChild

  Parameters:
    `parentAtom` - Specifies the parent atom within this container. Null implies the parent atom is the container.
    `atomType` - Specifies the type of the new atom which is to be inserted.
    `id` - Specifies the ID of the new atom which is to be inserted.
    `index` - Specifies the index of the new atom for its type within the parent atom's child list.
    `intValue` - Specifies the integer data of the specified atom. This value will be endian flipped if required.
  Returns:
    The new atom.

### insertChild

    public Atom insertChild(Atom parentAtom,
                            int atomType,
                            int id,
                            int index,
                            short shortValue)
                     throws StdQTException

  This method creates a new child atom for parentAtom.
  QuickTime::QTInsertChild

  Parameters:
    `parentAtom` - Specifies the parent atom within this container. Null implies the parent atom is the container.
    `atomType` - Specifies the type of the new atom which is to be inserted.
    `id` - Specifies the ID of the new atom which is to be inserted.
    `index` - Specifies the index of the new atom for its type within the parent atom's child list.
    `shortValue` - Specifies the integer data of the specified atom. This value will be endian flipped if required.
  Returns:
    The new atom.

### insertChild

    public Atom insertChild(Atom parentAtom,
                            int atomType,
                            int id,
                            int index,
                            byte byteValue)
                     throws StdQTException

  This method creates a new child atom for parentAtom.
  QuickTime::QTInsertChild

  Parameters:
    `parentAtom` - Specifies the parent atom within this container. Null implies the parent atom is the container.
    `atomType` - Specifies the type of the new atom which is to be inserted.
    `id` - Specifies the ID of the new atom which is to be inserted.
    `index` - Specifies the index of the new atom for its type within the parent atom's child list.
    `shortValue` - Specifies the integer data of the specified atom. This value will be endian flipped if required.
  Returns:
    The new atom.

### insertChildren

    public void insertChildren(Atom parentAtom,
                               AtomContainer childrenContainer)
                        throws StdQTException

  This method inserts all of the atoms in childrenContainer as child atoms of the atom specified by the parentAtom.
  QuickTime::QTInsertChildren

  Parameters:
    `parentAtom` - Specifies the parent atom within this container. Null implies the parent atom is the container.
    `childrenContainer` - Specifies the atom data structure which contains all of the children to be inserted.
  Throws:
    `invalidAtomContainerErr` - if childrenContainer is null

### removeAtom

    public void removeAtom(Atom atom)
                    throws StdQTException

  This method removes an atom and all of its children from an atom data structure.
  QuickTime::QTRemoveAtom

  Parameters:
    `atom` - Specifies the atom within this atom container which is to be removed.

### removeChildren

    public void removeChildren(Atom atom)
                        throws StdQTException

  This method removes all of the children of an atom.
  QuickTime::QTRemoveChildren

  Parameters:
    `atom` - Specifies the atom within this atom container which is to be removed.

### replaceAtom

    public void replaceAtom(Atom targetAtom,
                            AtomContainer replacementContainer,
                            Atom replacementAtom)
                     throws StdQTException

  This method replaces an atom and all of its children with a different atom and all of its children.
  QuickTime::QTReplaceAtom

  Parameters:
    `targetAtom` - Specifies the atom within this atom container which is to be replaced.
    `replacementContainer` - Specifies the atom data structure which contains replacementAtom.
    `replacementAtom` - Specifies the atom within replacementContainer which replaces targetAtom.
  Throws:
    `invalidAtomContainerErr` - if targetAtom, replacementContainer or replacementAtom are null

### swapAtoms

    public void swapAtoms(Atom atom1,
                          Atom atom2)
                   throws StdQTException

  This method swaps two atoms within an atomData structure.
  QuickTime::QTSwapAtoms

  Parameters:
    `atom1` - Specifies an atom within this container which is to be swapped with atom2.
    `atom2` - Specifies the atom within this container which is to be swapped with atom1.

### setAtomID

    public void setAtomID(Atom atom,
                          int newID)
                   throws StdQTException

  This method allows you to change the ID of an atom.
  QuickTime::QTSetAtomID

  Parameters:
    `atom` - Specifies an atom within this container which is to be changed.
    `newID` - Specifies the new ID for the atom.

### iTextAddString

    public void iTextAddString(Atom parentAtom,
                               int theRegionCode,
                               java.lang.String theString)
                        throws StdQTException

  No QT Documentation.
  QuickTime::ITextAddString

  Parameters:
    `parentAtom` - Specifies the parent atom within this container. Null implies the parent atom is the container.
    `theRegionCode` - Specifies the region code. Use 0 for verUS
    `theString` - a String must be specified.

### iTextRemoveString

    public void iTextRemoveString(Atom parentAtom,
                                  int theRegionCode,
                                  int flags)
                           throws StdQTException

  No QT Documentation.
  QuickTime::ITextRemoveString

  Parameters:
    `parentAtom` - Specifies the parent atom within this container. Null implies parentAtom is the container
    `theRegionCode` - Specifies the region code. Use 0 for verUS

### iTextGetString

    public IStringInfo iTextGetString(Atom parentAtom,
                                      int theRegionCode)
                               throws StdQTException

  No QT Documentation.
  QuickTime::ITextGetString

  Parameters:
    `parentAtom` - Specifies the parent atom within this container. Null implies parentAtom is the container
    `theRegionCode` - Specifies the region code. Use 0 for verUS

### getParent

    public Atom getParent(Atom childAtom)
                   throws StdQTException

  This method returns the parent atom of the specified child atom

  Parameters:
    `childAtom` - Specifies the child atom within this container.
  Returns:
    The parent atom.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD